CVE-2018-5091

NameCVE-2018-5091
DescriptionA use-after-free vulnerability can occur during WebRTC connections when interacting with the DTMF timers. This results in a potentially exploitable crash. This vulnerability affects Firefox ESR < 52.6 and Firefox < 58.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1256-1, DSA-4096-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid92.0-1fixed
firefox-esr (PTS)stretch68.10.0esr-1~deb9u1fixed
stretch (security)78.14.0esr-1~deb9u1fixed
buster78.11.0esr-1~deb10u1fixed
buster (security)78.14.0esr-1~deb10u1fixed
bullseye78.12.0esr-1fixed
bullseye (security)78.14.0esr-1~deb11u1fixed
bookworm78.13.0esr-1fixed
sid78.14.0esr-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)58.0-1
firefox-esrsourcewheezy52.6.0esr-1~deb7u1DLA-1256-1
firefox-esrsourcejessie52.6.0esr-1~deb8u1DSA-4096-1
firefox-esrsourcestretch52.6.0esr-1~deb9u1DSA-4096-1
firefox-esrsource(unstable)52.6.0esr-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2018-02/#CVE-2018-5091
https://www.mozilla.org/en-US/security/advisories/mfsa2018-03/#CVE-2018-5091

Search for package or bug name: Reporting problems